-- $Id: AceWardrobeLocals.lua 7960 2006-08-14 06:49:56Z hshh $

WARDROBE = {}

-- The ace:LoadTranslation() method looks for a specific translation function for
-- the addon. If it finds one, that translation is loaded.
if( not ace:LoadTranslation("AceWardrobe") ) then

WARDROBE.NAME			= "AceWardrobe"
WARDROBE.DESCRIPTION		= "Switch between unlimited outfit configurations."

WARDROBE.FIRST_RUN		= "AceWardrobe has been run for the first time.\nYour UI must be reloaded."
WARDROBE.BUTTON_OK		= "Ok"
WARDROBE.INVALID_DB_FORMAT	= "Database format was outdated and was updated."
WARDROBE.SILENT_ENABLE		= "Silent Mode ENABLED."
WARDROBE.SILENT_DISABLE		= "Silent Mode DISABLED."
WARDROBE.LASTUMOUNT_ENABLE	= "Last Outfit mode ENABLED."
WARDROBE.LASTUMOUNT_DISABLE	= "Last Outfit mode DISABLED."
WARDROBE.OUTFIT_ISLOT		= "Ignoring the [%s] in outfit [%s]."
WARDROBE.OUTFIT_USLOT		= "Using the [%s] in outfit [%s]."
WARDROBE.NOAUTO_ENABLE		= "Disabled auto set default outfit."
WARDROBE.NOAUTO_DISABLE		= "Enabled auto set default outfit."

WARDROBE.LIST_HEADER		= "List of Outfits:"
WARDROBE.FORM_HEADER		= "Character's Forms:"
WARDROBE.FORM_LIST_WITH_OUTFIT	= "    %i: %s: Outfit [%s]"
WARDROBE.FORM_LIST_NO_OUTFIT	= "    %i: %s: No Outfit"
WARDROBE.OUTFIT_FORM_CLEARALL	= "All form settings cleared."
WARDROBE.OUTFIT_FORM_CLEAR	= "Outfit cleared from current form."
WARDROBE.OUTFIT_FORM_SET	= "Outfit [%i] set for [%s]."
WARDROBE.OUTFIT_MOUNT_CLEAR	= "No longer equiping outfit when mounted."
WARDROBE.OUTFIT_MOUNT_SET	= "Equipping outfit [%s] when mounted."
WARDROBE.OUTFIT_DEFAULT_CLEAR	= "You no longer have a default outfit."
WARDROBE.OUTFIT_DEFAULT_SET	= "Using outfit [%s] as default."
WARDROBE.OUTFIT_DEFAULT_SET2	= "    Using this outfit as your default outfit."
WARDROBE.OUTFIT_DEFAULT_DELETED = "WARNING: Default outfit has been deleted."
WARDROBE.OUTFIT_SWITCH		= "Switching to: [%s]."
WARDROBE.OUTFIT_DELETE		= "Deleted Outfit [%s] in slot [%i]."
WARDROBE.OUTFIT_SAVE		= "Saving Outfit as [%s] in slot [%i]."
WARDROBE.OUTFIT_UPDATED		= "Outfit in slot [%i] updated."
WARDROBE.OUTFIT_ALLCLEAR	= "All Outfits Cleared."

WARDROBE.ERROR_INCOMBAT		= "In Combat.  Queued to wear outfit [%s]."
WARDROBE.ERROR_NODEFAULTOUTFIT	= "No default outfit set."
WARDROBE.ERROR_NOTINFORM	= "You are not currently in any special form."
WARDROBE.ERROR_OUTFIT_NOFIND	= "Outfit not found."
WARDROBE.ERROR_OUTFIT_NOFIND2	= "No outfits found."
WARDROBE.ERROR_OUTFIT_NOFIND3	= "Unable to find outfit [%s] to delete."
WARDROBE.ERROR_BUSY		= "Busy switching outfits."
WARDROBE.ERROR_ITEM_NOFIND	= "[%s] not found in bags or inventory."
WARDROBE.ERROR_OUTFIT_DUPLICATE	= "Outfit name already exists as outfit #[%i]."
WARDROBE.ERROR_DEADORGHOST	= "Can not change outfits while dead."
WARDROBE.ERROR_NOROOM		= "Could not find room in your inventory for [%s]."

-- Cosmos Stuff
WARDROBE.CONFIG_HEADER		= "AceWardrobe Configuration"
WARDROBE.CONFIG_HEADER_INFO	= "This is the configuration screen for AceWardrobe"


WARDROBE.COMMANDS		= {"/acewardrobe", "/wardrobe", "/awd", "/wd"}
WARDROBE.CMD_OPTIONS =  {
			{
				option	= "silent",
				desc	= "Silent mode will prevent any messages printed.",
				method	= "ToggleSilentMode"
			},
			{
				option	= "clear",
				desc	= "Clear all outfits from the list.",
				method	= "ClearAllOutfits"
			},
			{
				option	= "delete",
				desc	= "Delete an outfit by name or number.",
				method	= "DeleteOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "An outfit number or name."
						}
					}
			},
			{
				option	= "update",
				desc	= "Update an outfit with what you are currently wearing.",
				method	= "UpdateOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "An outfit number or name."
						}
					}
			},
			{
				option	= "save",
				desc	= "Save your current equipment into an outfit.",
				method	= "SaveOutfit",
				input	= TRUE
			},
			{
				option	= "list",
				desc	= "List all available outfits.",
				method	= "ListOutfits"
			},
			{
				option	= "wear",
				desc	= "Wear a specific outfit by name or number.",
				method	= "WearOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "An outfit number or name."
						}
					}
			},
			{
				option	= "mounted",
				desc	= "Set an outfit or outfit number as your mounted outfit. (blank for none)",
				method	= "SetMountedOutfit"
			},
			{
				option	= "default",
				desc	= "Set an outfit as your default outfit. (blank for none)",
				method	= "SetDefaultOutfit"
			},
			{
				option	= "lastunmount",
				desc	= "Switches to your last worn outfit when dismounting",
				method	= "ToggleLastUnmount"
			},
			{
				option	= "forms",
				desc	= "List all forms/stances and the outfit associated.",
				method	= "ListAllForms"
			},
			{
				option	= "clearforms",
				desc	= "Clears all settings related to forms.",
				method	= "ClearForms"
			},
			{
				option	= "setform",
				desc	= "Sets an outfit to be used with your current form. (blank for none)",
				method	= "SetOutfitForForm"
			},
			{
				option	= "ignoreslot",
				desc	= "Ignores a slot in your current outfit.",
				method	= "SetOutfitIgnoreSlot",
				input	= TRUE,
				args =	{
						{
							option = "<slot>",
							desc = "AmmoSlot, HeadSlot, NeckSlot, ShoulderSlot, BackSlot, ChestSlot, ShirtSlot, TabardSlot, WristSlot, HandsSlot, WaistSlot, LegsSlot, FeetSlot, Finger0Slot, Finger1Slot, Trinket0Slot, Trinket1Slot, MainHandSlot, SecondaryHandSlot, RangedSlot"
						},
						{
							option = "<outfit>",
							desc = "An outfit number or name."
						}
					}
			},
			{
				option	= "noauto",
				desc	= "Turn off auto set to default outfit.",
				method	= "TogNoAutoDefault"
			}
		}

end
