-- $Id: AceWardrobeLocals.zhcn.lua 12403 2006-09-30 23:02:03Z kergoth $

WARDROBE = {}

-- The ace:LoadTranslation() method looks for a specific translation function for
-- the addon. If it finds one, that translation is loaded.
function AceWardrobe_Locals_zhCN()

WARDROBE.NAME			= "AceWardrobe"
WARDROBE.DESCRIPTION		= "无限制的装备更换记忆系统."

WARDROBE.FIRST_RUN		= "第一次运行AceWardrobe完成.\n你必须重载插件."
WARDROBE.BUTTON_OK		= "Ok"
WARDROBE.INVALID_DB_FORMAT	= "记录格式太旧, 已更新到最新版本."
WARDROBE.SILENT_ENABLE		= "安静模式启用."
WARDROBE.SILENT_DISABLE		= "安静模式禁用."
WARDROBE.LASTUMOUNT_ENABLE	= "开启 自动使用上一次非骑乘状态时装备."
WARDROBE.LASTUMOUNT_DISABLE	= "关闭 自动使用上一次非骑乘状态时装备."
WARDROBE.OUTFIT_ISLOT		= "忽略 [%s] (配置 [%s])."
WARDROBE.OUTFIT_USLOT		= "使用 [%s] (配置 [%s])."
WARDROBE.NOAUTO_ENABLE		= "禁止 自动设置默认配置."
WARDROBE.NOAUTO_DISABLE		= "启用 自动设置默认配置."

WARDROBE.LIST_HEADER		= "装备配置列表:"
WARDROBE.FORM_HEADER		= "玩家形态:"
WARDROBE.FORM_LIST_WITH_OUTFIT	= "    %i: %s: 配置[%s]"
WARDROBE.FORM_LIST_NO_OUTFIT	= "    %i: %s: 无配置"
WARDROBE.OUTFIT_FORM_CLEARALL	= "所有形态设置已清除."
WARDROBE.OUTFIT_FORM_CLEAR	= "当前形态的配置已清除."
WARDROBE.OUTFIT_FORM_SET	= "配置#[%i]: [%s]已设置为当前形态."
WARDROBE.OUTFIT_MOUNT_CLEAR	= "骑乘状态装备配置已清除."
WARDROBE.OUTFIT_MOUNT_SET	= "骑乘状态装备配置已设置为[%s]."
WARDROBE.OUTFIT_DEFAULT_CLEAR	= "默认装备配置已清除."
WARDROBE.OUTFIT_DEFAULT_SET	= "默认装备配置已设置为[%s]."
WARDROBE.OUTFIT_DEFAULT_SET2	= "    使用该配置作为你的默认配置."
WARDROBE.OUTFIT_DEFAULT_DELETED = "注意: 默认配置已经删除."
WARDROBE.OUTFIT_SWITCH		= "切换到: [%s]配置."
WARDROBE.OUTFIT_DELETE		= "配置[%s](序号为%i)已删除."
WARDROBE.OUTFIT_SAVE		= "配置[%s]已保存(序号为%i)"
WARDROBE.OUTFIT_UPDATED		= "%i号配置已更新."
WARDROBE.OUTFIT_ALLCLEAR	= "所有配置已清除."

WARDROBE.ERROR_INCOMBAT		= "正在战斗状态.  配置%s将延迟装备."
WARDROBE.ERROR_NODEFAULTOUTFIT	= "没有默认的配置设置."
WARDROBE.ERROR_NOTINFORM	= "你不处于任何形态."
WARDROBE.ERROR_OUTFIT_NOFIND	= "配置未找到."
WARDROBE.ERROR_OUTFIT_NOFIND2	= "没有找到配置."
WARDROBE.ERROR_OUTFIT_NOFIND3	= "无法找到配置[%s]删除."
WARDROBE.ERROR_BUSY		= "装备切换繁忙中."
WARDROBE.ERROR_ITEM_NOFIND	= "在背包中没找到[%s]."
WARDROBE.ERROR_OUTFIT_DUPLICATE	= "该名称已存在配置 #[%i]."
WARDROBE.ERROR_DEADORGHOST	= "不能在死亡中切换装备配置."
WARDROBE.ERROR_NOROOM		= "没有足够的空间切换配置 [%s]."

-- Cosmos Stuff
WARDROBE.CONFIG_HEADER		= "AceWardrobe 设置"
WARDROBE.CONFIG_HEADER_INFO	= "AceWardrobe 设置菜单"


WARDROBE.COMMANDS		= {"/acewardrobe", "/wardrobe", "/awd", "/wd"}
WARDROBE.CMD_OPTIONS =  {
			{
				option	= "silent",
				desc	= "安静模式将不会显示任何信息.",
				method	= "ToggleSilentMode"
			},
			{
				option	= "clear",
				desc	= "删除所有装备配置.",
				method	= "ClearAllOutfits"
			},
			{
				option	= "delete",
				desc	= "删除对应序号或者名称装备配置.",
				method	= "DeleteOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "装备配置名称或序号."
						}
					}
			},
			{
				option	= "update",
				desc	= "更新一个配置为你当前装备状态.",
				method	= "UpdateOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "装备配置名称或序号."
						}
					}
			},
			{
				option	= "save",
				desc	= "将你当前的装备状态保存为一个配置.",
				method	= "SaveOutfit",
				input	= TRUE
			},
			{
				option	= "list",
				desc	= "列出所有配置.",
				method	= "ListOutfits"
			},
			{
				option	= "wear",
				desc	= "装备对应序号或者名称的配置.",
				method	= "WearOutfit",
				input	= TRUE,
				args =	{
						{
							option = "<outfit>",
							desc = "装备配置名称或序号."
						}
					}
			},
			{
				option	= "mounted",
				desc	= "设置骑乘状态自动换装的配置序号或者名称. (不加参数将删除该设置)",
				method	= "SetMountedOutfit"
			},
			{
				option	= "default",
				desc	= "设置默认状态的配置序号或者名称. (不加参数将删除该设置)",
				method	= "SetDefaultOutfit"
			},
			{
				option	= "lastunmount",
				desc	= "下马后自动切换到上一次的装备配置",
				method	= "ToggleLastUnmount"
			},
			{
				option	= "forms",
				desc	= "显示所有形态和对应的配置.",
				method	= "ListAllForms"
			},
			{
				option	= "clearforms",
				desc	= "清除所有形态设置.",
				method	= "ClearForms"
			},
			{
				option	= "setform",
				desc	= "为你当前的形态设置配置. (不加参数将删除该设置)",
				method	= "SetOutfitForForm"
			},
			{
				option	= "ignoreslot",
				desc	= "在你当前配置中忽略一格装备.",
				method	= "SetOutfitIgnoreSlot",
				input	= TRUE,
				args =	{
						{
							option = "<slot>",
							desc = "AmmoSlot, HeadSlot, NeckSlot, ShoulderSlot, BackSlot, ChestSlot, ShirtSlot, TabardSlot, WristSlot, HandsSlot, WaistSlot, LegsSlot, FeetSlot, Finger0Slot, Finger1Slot, Trinket0Slot, Trinket1Slot, MainHandSlot, SecondaryHandSlot, RangedSlot"
						},
						{
							option = "<outfit>",
							desc = "装备配置名称或序号."
						}
					}
			},
			{
				option	= "noauto",
				desc	= "关闭自动设置默认配置.",
				method	= "TogNoAutoDefault"
			}
		}

end
